summaryrefslogtreecommitdiffstats
path: root/tests/exe
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-17 01:42:11 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-17 01:44:44 (EDT)
commit5adb75355b28e9f1680dad7da81fced0c6747082 (patch)
tree8031416873b23a2beffc69fa94d992ce88055b96 /tests/exe
parent877ce619295ed1856cbb7a6d853cf8bcf5251482 (diff)
tests/exe/opkbuild_version.sh: New test file
Diffstat (limited to 'tests/exe')
-rwxr-xr-xtests/exe/opkbuild_version.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests/exe/opkbuild_version.sh b/tests/exe/opkbuild_version.sh
new file mode 100755
index 0000000..c5f08b8
--- /dev/null
+++ b/tests/exe/opkbuild_version.sh
@@ -0,0 +1,33 @@
+# Test for opkbuild's version output
+#
+# Copyright (C) 2019 Patrick McDermott
+#
+# This file is part of opkbuild.
+#
+# opkbuild is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# opkbuild is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with opkbuild. If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
+
+plan_ 1
+
+case "$(opkbuild -V)" in
+ 'opkbuild (opkbuild) '*)
+ result_ 'ok' -- 'opkbuild version output'
+ ;;
+ *)
+ result_ 'not ok' -- 'opkbuild version output'
+ ;;
+esac